Package org.apache.sysds.runtime.controlprogram.federated.monitoring.services

## Class CoordinatorService

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.monitoring.services.CoordinatorService

    public class CoordinatorService
    extends Object

### Constructor Summary

Constructors
`CoordinatorService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `create​(BaseEntityModel model)`
`BaseEntityModel` `get​(Long id)`
`List<BaseEntityModel>` `getAll()`
`void` `remove​(Long id)`
`void` `update​(BaseEntityModel model)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CoordinatorService

    public CoordinatorService()

### Method Detail

#### create

    public void create​(BaseEntityModel model)

#### update

    public void update​(BaseEntityModel model)

#### remove

    public void remove​(Long id)

#### get

    public BaseEntityModel get​(Long id)

#### getAll

    public List<BaseEntityModel> getAll()